Subject: [bug#42682] [PATCH 2/2] gnu: Add qmk-cli.

From: Jan Wielkiewicz <[email-masked]>
Date: Fri, 7 Aug 2020 17:44:01 +0200

Dnia 2020-08-07, o godz. 10:20:17
Mathieu Othacehe <[email-masked]> napisał(a):

> 
> Hello,
> 
> > But the entire point of qmk firmware is that the user configures
> > it. I had to modify the source code to make my keyboard work and
> > add some extra features like layouts, special keys. Your solution
> > will only work for the unmodified and default firmware, or is there
> > a Guix solution for it I'm not aware of, like a convenient
> > interface for user defined packages?
> 
> Oh I see. Nonetheless, qmk_cli is a thin wrapper around qmk_firmware.
> I think it would make more sense to have qmk_firmware properly
> packaged.
> 
> This way we would offer people a way to build their customized
> firmware without propagating toolchains and fetching a git repository.
> 
> WDYT?
I can do this then, give me some time.

> Mathieu

Jan Wielkiewicz